%define upstream_name    Boost-Geometry-Utils
%define upstream_version 0.15

%{?perl_default_filter} # Filters (not)shared c libs

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 22

Summary:    Bindings for the Boost Geometry library
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Boost/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Boost-Geometry-Utils-0.15-only-extend-the-array-if-needed.patch

BuildRequires: perl(ExtUtils::CppGuess) >= 0.70.0
BuildRequires: perl(ExtUtils::Typemaps::Default) >= 0.50.0
BuildRequires: perl(ExtUtils::XSpp) >= 0.170.0
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Module::Build::WithXSpp) >= 0.100.0
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildRequires: gcc-c++
%description
Bindings for the Boost Geometry library.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.150.0-22.mga10
+ Revision: 2226859
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 0.150.0-21.mga10
+ Revision: 2089616
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 0.150.0-20.mga10
+ Revision: 2012276
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 0.150.0-19.mga9
+ Revision: 1875081
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.150.0-18.mga9
+ Revision: 1795247
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 0.150.0-17.mga8
+ Revision: 1606965
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-16.mga8
+ Revision: 1508296
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.150.0-15.mga7
+ Revision: 1292366
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.150.0-14.mga7
+ Revision: 1248993
- Fix file list
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.150.0-13.mga7
+ Revision: 1163169
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.150.0-12.mga7
+ Revision: 1159110
- rebuild with perl-5.26.x
- rebuild with perl-5.26.x

* Sat Jun 18 2016 pterjan <pterjan> 0.150.0-10.mga6
+ Revision: 1022770
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.150.0-9.mga6
+ Revision: 956807
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.150.0-8.mga6
+ Revision: 844092
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-7.mga5
+ Revision: 746279
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.150.0-6.mga5
+ Revision: 732019
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-5.mga5
+ Revision: 683608
- Mageia 5 Mass Rebuild
+ sander85 <sander85>
- Fix description

* Sun Aug 17 2014 sander85 <sander85> 0.150.0-4.mga5
+ Revision: 664834
- Fix build
+ jquelin <jquelin>
- perl 5.20.0 rebuild
+ pterjan <pterjan>
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.150.0-2.mga4
+ Revision: 528482
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 shlomif <shlomif> 0.150.0-1.mga4
+ Revision: 445699
- update to 0.15

* Wed Jun 19 2013 shlomif <shlomif> 0.140.0-1.mga4
+ Revision: 445024
- update to 0.14

* Wed May 29 2013 shlomif <shlomif> 0.130.0-1.mga4
+ Revision: 432432
- update to 0.13

* Wed May 29 2013 jquelin <jquelin> 0.50.0-5.mga4
+ Revision: 430555
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-4.mga3
+ Revision: 363370
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 shlomif <shlomif> 0.50.0-3.mga3
+ Revision: 252339
- Add required BR on perl-devel
- Fix license and BuildArch
- imported package perl-Boost-Geometry-Utils


* Mon Apr 16 2012 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
